Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# osclconfig_unix_android.h File Reference

`#include <stdlib.h>`
`#include <stdarg.h>`
`#include <sys/types.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <pthread.h>`
`#include <ctype.h>`
`#include <math.h>`

Go to the source code of this file.

## Defines
#define | OSCL_DISABLE_INLINES 0
#define | OSCL_HAS_ANSI_STDLIB_SUPPORT 1
#define | OSCL_HAS_ANSI_MATH_SUPPORT 1
#define | OSCL_HAS_GLOBAL_VARIABLE_SUPPORT 1
#define | OSCL_HAS_ANSI_STRING_SUPPORT 1
#define | OSCL_HAS_ANSI_WIDE_STRING_SUPPORT 0
#define | OSCL_HAS_ANSI_STDIO_SUPPORT 1
#define | OSCL_MEMFRAG_PTR_BEFORE_LEN 1
#define | OSCL_HAS_UNIX_SUPPORT 1
#define | OSCL_HAS_MSWIN_SUPPORT 0
#define | OSCL_HAS_MSWIN_TIME_SUPPORT 0
#define | OSCL_HAS_MSWIN_PARTIAL_SUPPORT 0
#define | OSCL_HAS_SYMBIAN_SUPPORT 0
#define | OSCL_HAS_NATIVE_INT64_TYPE 1
#define | OSCL_HAS_NATIVE_UINT64_TYPE 1
#define | OSCL_NATIVE_INT64_TYPE int64_t
#define | OSCL_NATIVE_UINT64_TYPE uint64_t
#define | INT64(x) x##LL
#define | UINT64(x) x##ULL
#define | INT64_HILO(high, low) ((((high##LL))<<32)|low)
#define | UINT64_HILO(high, low) ((((high##ULL))<<32)|low)
#define | OSCL_HAS_UNICODE_SUPPORT 1
#define | OSCL_NATIVE_WCHAR_TYPE wchar_t
#define | _STRLIT(x) L ## x
#define | _STRLIT_CHAR(x) x
#define | _STRLIT_WCHAR(x) L ## x
#define | OSCL_HAS_TLS_SUPPORT 1
#define | OSCL_TLS_IS_KEYED 1
#define | OSCL_TLS_KEY_CREATE_FUNC(key) (pthread_key_create(&key,NULL)==0)
#define | OSCL_TLS_KEY_DELETE_FUNC(key) pthread_key_delete(key)
#define | OSCL_TLS_STORE_FUNC(key, ptr) (pthread_setspecific(key,(const void*)ptr)==0)
#define | OSCL_TLS_GET_FUNC(key) pthread_getspecific(key)
#define | OSCL_HAS_BASIC_LOCK 1
## Typedefs
typedef pthread_key_t | TOsclTlsKey
typedef pthread_mutex_t | TOsclBasicLockObject

## Define Documentation

#define _STRLIT | ( | x |  | ) | L ## x

#define _STRLIT_CHAR | ( | x |  | ) | x

#define _STRLIT_WCHAR | ( | x |  | ) | L ## x

#define INT64 | ( | x |  | ) | x##LL

#define INT64_HILO | ( | high,
|  | low |  | ) | ((((high##LL))<<32)|low)

#define OSCL_DISABLE_INLINES 0

#define OSCL_HAS_ANSI_MATH_SUPPORT 1

#define OSCL_HAS_ANSI_STDIO_SUPPORT 1

#define OSCL_HAS_ANSI_STDLIB_SUPPORT 1

#define OSCL_HAS_ANSI_STRING_SUPPORT 1

#define OSCL_HAS_ANSI_WIDE_STRING_SUPPORT 0

#define OSCL_HAS_BASIC_LOCK 1

#define OSCL_HAS_GLOBAL_VARIABLE_SUPPORT 1

#define OSCL_HAS_MSWIN_PARTIAL_SUPPORT 0

#define OSCL_HAS_MSWIN_SUPPORT 0

#define OSCL_HAS_MSWIN_TIME_SUPPORT 0

#define OSCL_HAS_NATIVE_INT64_TYPE 1

#define OSCL_HAS_NATIVE_UINT64_TYPE 1

#define OSCL_HAS_SYMBIAN_SUPPORT 0

#define OSCL_HAS_TLS_SUPPORT 1

#define OSCL_HAS_UNICODE_SUPPORT 1

#define OSCL_HAS_UNIX_SUPPORT 1

#define OSCL_MEMFRAG_PTR_BEFORE_LEN 1

#define OSCL_NATIVE_INT64_TYPE int64_t

#define OSCL_NATIVE_UINT64_TYPE uint64_t

#define OSCL_NATIVE_WCHAR_TYPE wchar_t

#define OSCL_TLS_GET_FUNC | ( | key |  | ) | pthread_getspecific(key)

#define OSCL_TLS_IS_KEYED 1

#define OSCL_TLS_KEY_CREATE_FUNC | ( | key |  | ) | (pthread_key_create(&key,NULL)==0)

#define OSCL_TLS_KEY_DELETE_FUNC | ( | key |  | ) | pthread_key_delete(key)

#define OSCL_TLS_STORE_FUNC | ( | key,
|  | ptr |  | ) | (pthread_setspecific(key,(const void*)ptr)==0)

#define UINT64 | ( | x |  | ) | x##ULL

#define UINT64_HILO | ( | high,
|  | low |  | ) | ((((high##ULL))<<32)|low)

## Typedef Documentation

typedef pthread_mutex_t TOsclBasicLockObject

typedef pthread_key_t TOsclTlsKey